<div class="container mt-4 form-ontainer">
    <div style="display: flex; justify-content: center;">
        <h2 class="blockquote">Fill Out The Form To Submit Your Information</h2>
    </div>
    <hr/>
    <form (ngSubmit)="submitForm()" #participantForm="ngForm">
      <div class="form-group">
        <label for="code">Code:</label>
        <input type="text" class="form-control" id="code" name="code" [(ngModel)]="participant.code" required pattern="[0-9]{6}">
        <div *ngIf="participantForm.controls.code.invalid && (participantForm.controls.code.dirty || participantForm.controls.code.touched)" class="text-danger">
          <div *ngIf="participantForm.controls.code.errors.required">Code is required</div>
          <div *ngIf="participantForm.controls.code.errors.pattern">Code must be numeric and 6 characters long</div>
        </div>
      </div>
      <div class="form-group">
        <label for="bic">BIC:</label>
        <input type="text" class="form-control" id="bic" name="bic" [(ngModel)]="participant.bic" required pattern="^[A-Z0-9]{4}[A-Z]{2}[A-Z0-9]{2}([A-Z0-9]{3})?$">
        <div *ngIf="participantForm.controls.bic.invalid && (participantForm.controls.bic.dirty || participantForm.controls.bic.touched)" class="text-danger">
          <div *ngIf="participantForm.controls.bic.errors.required">BIC is required</div>
        </div>
      </div>
      <div class="form-group">
        <label for="name">Name:</label>
        <input type="text" class="form-control" id="name" name="name" [(ngModel)]="participant.name" required>
        <div *ngIf="participantForm.controls.name.invalid && (participantForm.controls.name.dirty || participantForm.controls.name.touched)" class="text-danger">
            <div *ngIf="participantForm.controls.name.errors.required">Name is required</div>
        </div>
        </div>
      <div class="form-group">
        <label for="shortName">Short Name:</label>
        <input type="text" class="form-control" id="shortName" name="shortName" [(ngModel)]="participant.shortName" required pattern="[A-Z]+">
        <div *ngIf="participantForm.controls.shortName.invalid && (participantForm.controls.shortName.dirty || participantForm.controls.shortName.touched)" class="text-danger">
          <div *ngIf="participantForm.controls.shortName.errors.required">Short Name is required</div>
          <div *ngIf="participantForm.controls.shortName.errors.pattern">Short Name must contain only uppercase English characters</div>
        </div>
      </div>
      <div class="form-group">
        <label for="type">Type:</label>
        <select class="form-control" id="type" name="type" [(ngModel)]="participant.type" required>
          <option value="Direct">Direct</option>
          <option value="Indirect">Indirect</option>
        </select>
        <div *ngIf="participantForm.controls.type.invalid && (participantForm.controls.type.dirty || participantForm.controls.type.touched)" class="text-danger">
          <div *ngIf="participantForm.controls.type.errors.required">Type is required</div>
        </div>
      </div>
      <div class="form-group" *ngIf="participant.type === 'Indirect'">
        <label for="settlementBank">Settlement Bank:</label>
        <select class="form-control form-select" id="settlementBank" name="settlementBank" [(ngModel)]="participant.settlementBank">
          <option *ngFor="let code of codes">{{ code }}</option>
        </select>
      </div>
      <div class="form-group">
        <label for="logo">Logo:</label>
        <input type="file" class="form-control-file" id="logo" name="logo" (change)="onFileSelected($event)" accept="image/*" required>
        <img src="" height="100" alt="Image preview" />
      </div>
      <div class="center-button">
        <button type="submit" class="btn btn-success">Submit</button>
      </div>
    </form>
  </div>
  